package com.ruoyi.invest.domain;

import com.ruoyi.tool.domain.TUnifyFile;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 研究资料管理对象 t_study_information
 * 
 * @author ruoyi
 * @date 2024-02-23
 */
public class TStudyInformation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 资料名称 */
    @Excel(name = "资料名称")
    private String contractName;

    /** 资料类别 */
    @Excel(name = "资料类别")
    private String contractType;

    /** 状态 */
    private String delFlag;

    /** 附件业务ID */
    private String fileBusinessId;

    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setContractName(String contractName) 
    {
        this.contractName = contractName;
    }

    public String getContractName() 
    {
        return contractName;
    }
    public void setContractType(String contractType) 
    {
        this.contractType = contractType;
    }

    public String getContractType() 
    {
        return contractType;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setFileBusinessId(String fileBusinessId) 
    {
        this.fileBusinessId = fileBusinessId;
    }

    public String getFileBusinessId() 
    {
        return fileBusinessId;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("contractName", getContractName())
            .append("contractType", getContractType())
            .append("delFlag", getDelFlag())
            .append("fileBusinessId", getFileBusinessId())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
